package com.rjconsultores.ventaboletos.vo.impressaofiscal;

import java.util.ArrayList;
import java.util.List;

public class AgpImpressoraEcfVO {

	private String numImpressora;
	private String dataEmissao;

	private List<ImportacionFiscalVO> itens;

	public AgpImpressoraEcfVO() {
	}

	public AgpImpressoraEcfVO(String numImpressora, String dataEmissao) {
		super();
		this.numImpressora = numImpressora;
		this.dataEmissao = dataEmissao;
		this.itens = new ArrayList<ImportacionFiscalVO>();
	}

	public String getNumImpressora() {
		return numImpressora;
	}

	public void setNumImpressora(String numImpressora) {
		this.numImpressora = numImpressora;
	}

	public String getDataEmissao() {
		return dataEmissao;
	}

	public void setDataEmissao(String dataEmissao) {
		this.dataEmissao = dataEmissao;
	}

	public List<ImportacionFiscalVO> getItens() {
		return itens;
	}

	public void setItens(List<ImportacionFiscalVO> itens) {
		this.itens = itens;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((dataEmissao == null) ? 0 : dataEmissao.hashCode());
		result = prime * result + ((numImpressora == null) ? 0 : numImpressora.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		AgpImpressoraEcfVO other = (AgpImpressoraEcfVO) obj;
		if (dataEmissao == null) {
			if (other.dataEmissao != null)
				return false;
		} else if (!dataEmissao.equals(other.dataEmissao))
			return false;
		if (numImpressora == null) {
			if (other.numImpressora != null)
				return false;
		} else if (!numImpressora.equals(other.numImpressora))
			return false;
		return true;
	}

}
